Skip to main content
Glob tool

Authorizations

Authorization
string
header
required

The server's token (MIRAGE_AUTH_TOKEN) or a JWT. A daemon in the default local mode with no token accepts requests without one.

Path Parameters

workspace_id
string
required

The workspace's id.

Query Parameters

session_id
string

The session the call acts as; the default session when absent.

Body

application/json
pattern
string
required

Pathname pattern such as **/.py or src/.ts; a relative one is matched under path.

path
string

Absolute path of the directory a relative pattern is matched under (default /).

Response

OK

text
string
required
is_error
boolean
required